#include "FreqReplicatorStatusDto.h"

FreqReplicatorStatusDto::FreqReplicatorStatusDto(QObject *parent) : DeviceFrameBaseDto(parent)
{

}

QJsonObject FreqReplicatorStatusDto::toJSON()
{
    QJsonObject jsonObj;

    QJsonObject dataObj;
    dataObj.insert("ABCD", this->abOrCd);

    QJsonArray inputArray;
    QJsonArray outputArray;

    for (int i = 0; i < 4; i++)
    {
        inputArray.append(this->inValid.at(i));
        outputArray.append(outValid.at(i));
    }
    dataObj.insert("inValid", inputArray);
    dataObj.insert("outValid", outputArray);

    jsonObj.insert("ts", this->milisecond);
    jsonObj.insert("frameType", this->frameType);
    jsonObj.insert("data", dataObj);

    return jsonObj;
}
